{% extends 'base.html' %}
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<!-- {% load static %} -->

{% block additionalHeader %}
	<title>Create Tokoh</title>

	<!--Bootsrap 4 CDN-->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    <!--Fontawesome CDN-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

	<!--Custom styles-->
	<link rel="stylesheet" type="text/css" href="styles.css">
{% endblock %}



{% block content %}
	{% include "base.html" %}

	{% if messages %}
	<ul class="messages">
    	{% for message in messages %}
    	<li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    	{% endfor %}
	</ul>
	{% endif %}
	
	<h3 class="text-center">Create Tokoh</h3>
	<br>
	<form action="" method="POST">
		{% csrf_token %}
        <div class="form-group">
			<label for="nama">Nama</label>
			<input class="form-control" type="text" id="nama" name="nama" required>
			<div class="invalid-feedback">Nama masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="jenis_kelamin">Jenis Kelamin</label>
			<select class="form-control" id="jenis_kelamin" name="jenis_kelamin" onchange=changejeniskelamin() required>
				<option value="{{ row.jenis_kelamin }}" selected>{{ row.jenis_kelamin }}</option>
				{% for row in list_jenis_kelamin %}
					<option value="{{ row.jenis_kelamin }}">{{ row.jenis_kelamin }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">Jenis Kelamin masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="warna">Warna Kulit</label>
			<select class="form-control" id="warna" name="warna" onchange=changewarna() required>
				<option value="{{ row.kode }}" selected>{{ row.kode }}</option>
				{% for row in list_warna_kulit %}
					<option value="{{ row.kode }}">{{ row.kode }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">Nama Warna Kulit masih kosong!</div>
		</div>

        <div class="form-group">
			<label for="pekerjaan">Pekerjaan</label>
			<select class="form-control" id="pekerjaan" name="pekerjaan" onchange=changepekerjaan() required>
				<option value="{{ row.nama }}" selected>{{ row.nama }}</option>
				{% for row in list_pekerjaan %}
					<option value="{{ row.nama }}">{{ row.nama }}</option>
				{% endfor %}
			</select>
			<div class="invalid-feedback">Pekerjaan masih kosong!</div>
		</div>
		<input class="btn btn-primary" type="submit" value="Simpan">
	</form>
{% endblock %}
